import {
  ProjectParams,
  ProjectListGetResultModel,
  ProjectModel,
} from '@/api/project/model/projectModel';
import { ProjectListItem } from '@/api/contract/model/contractModel';
import { defHttp } from '@/utils/http/axios';
enum Api {
  //分页查询合同集合
  GetList = '/pro/settlement/select-contract',
  //查询项目下拉框集合
  ProjectSelect = '/pro/investmentPlan/project-list',
  //查询分组的合同集合
  GetGroupList = '/pro/settlement/contract-list',
  //新增合同
  Add = '/pro/settlement/add-contract',
  DeleteProject = '/pro/contract/del',
  UpdateProject = '/pro/contract/edit',
}
export const getContractListPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const deleteItem = (params?: any) =>
    defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const updateItem = (params?: any) =>
    defHttp.post<ProjectModel>({
        url: Api.UpdateProject,
        data: params,
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
    });
//查询下拉列表
export const getProjectSelect = (params?: any) =>
  defHttp.get<ProjectListItem>({ url: Api.ProjectSelect, params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.Add,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const getGroupList = (params?: any) =>
  defHttp.get<ProjectModel>({ url: Api.GetGroupList, data: params });
